##
## wdnet: Weighted directed network
## Copyright (C) 2022  Yelie Yuan, Tiandong Wang, Jun Yan and Panpan Zhang
## Jun Yan <jun.yan@uconn.edu>
##
## This file is part of the R package wdnet.
##
## The R package wdnet is free software: You can redistribute it and/or
## modify it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or any later
## version (at your option). See the GNU General Public License at
## <https://www.gnu.org/licenses/> for details.
##
## The R package wdnet is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
##

##' wdnet: Weighted and Directed Networks
##'
##' This package provides functions to conduct network analysis
##' \itemize{
##' \item Assortativity, centrality, clustering coefficient
##' for weighted and directed networks
##' \item Rewire an unweighted network with given assortativity coefficient(s)
##' \item Preferential attachment (PA) network generation
##' }
##'
##' The development version of this package is available on Gitlab 
##' (https://gitlab.com/wdnetwork/wdnet).
##' 
##' @docType package
##' @name wdnet
##' @useDynLib wdnet, .registration = TRUE
##' @importFrom Rcpp sourceCpp
##' @importFrom Rcpp evalCpp

NULL
